# fortios_switch_controller_security_policy_802_1X – Configure 802.1x MAC Authentication Bypass (MAB) policies in Fortinet’s FortiOS and FortiGate

New in version 2.9.

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- This module is able to configure a FortiGate or FortiOS (FOS) device by allowing the user to set and modify switch_controller_security_policy feature and 802_1X category. Examples include all parameters and values need to be adjusted to datasources before usage. Tested with FOS v6.0.5

## Requirements

The below requirements are needed on the host that executes this module.

- fortiosapi>=0.9.8

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
host string |  | FortiOS or FortiGate IP address.

https
boolean

Choices:
- no
- yes ←

Indicates if the requests towards FortiGate must use HTTPS protocol.

password string | Default: "" | FortiOS or FortiGate password.

ssl_verify
boolean

Choices:
- no
- yes ←

Ensures FortiGate certificate must be verified by a proper CA.

state
string / required

Choices:
- present
- absent

Indicates whether to create or remove the object.

switch_controller_security_policy_802_1X dictionary | Default: null | Configure 802.1x MAC Authentication Bypass (MAB) policies.

auth_fail_vlan
string

Choices:
- disable
- enable

Enable to allow limited access to clients that cannot authenticate.

| auth_fail_vlan_id string |  | VLAN ID on which authentication failed. Source system.interface.name.
| auth_fail_vlanid integer |  | VLAN ID on which authentication failed.

eap_passthru
string

Choices:
- disable
- enable

Enable/disable EAP pass-through mode, allowing protocols (such as LLDP) to pass through ports for more flexible authentication.

| guest_auth_delay integer |  | Guest authentication delay (1 - 900 sec).

guest_vlan
string

Choices:
- disable
- enable

Enable the guest VLAN feature to allow limited access to non-802.1X-compliant clients.

| guest_vlan_id string |  | Guest VLAN name. Source system.interface.name.
| guest_vlanid integer |  | Guest VLAN ID.

mac_auth_bypass
string

Choices:
- disable
- enable

Enable/disable MAB for this policy.

| name string / required |  | Policy name.

open_auth
string

Choices:
- disable
- enable

Enable/disable open authentication for this policy.

policy_type
string

Choices:
- 802.1X

Policy type.

radius_timeout_overwrite
string

Choices:
- disable
- enable

Enable to override the global RADIUS session timeout.

security_mode
string

Choices:
- 802.1X
- 802.1X-mac-based

Port or MAC based 802.1X security mode.

| user_group list |  | Name of user-group to assign to this MAC Authentication Bypass (MAB) policy.
|  | name string / required |  | Group name. Source user.group.name.
username string |  | FortiOS or FortiGate username.
vdom string | Default: "root" | Virtual domain, among those defined previously. A vdom is a virtual instance of the FortiGate that can be configured and used as a different unit.

## Notes

Note

- Requires fortiosapi library developed by Fortinet

- Run as a local_action in your playbook

## Examples

    - hosts: localhost
      vars:
       host: "192.168.122.40"
       username: "admin"
       password: ""
       vdom: "root"
       ssl_verify: "False"
      tasks:
      - name: Configure 802.1x MAC Authentication Bypass (MAB) policies.
        fortios_switch_controller_security_policy_802_1X:
          host:  "{{ host }}"
          username: "{{ username }}"
          password: "{{ password }}"
          vdom:  "{{ vdom }}"
          https: "False"
          state: "present"
          switch_controller_security_policy_802_1X:
            auth_fail_vlan: "disable"
            auth_fail_vlan_id: "<your_own_value> (source system.interface.name)"
            auth_fail_vlanid: "5"
            eap_passthru: "disable"
            guest_auth_delay: "7"
            guest_vlan: "disable"
            guest_vlan_id: "<your_own_value> (source system.interface.name)"
            guest_vlanid: "10"
            mac_auth_bypass: "disable"
            name: "default_name_12"
            open_auth: "disable"
            policy_type: "802.1X"
            radius_timeout_overwrite: "disable"
            security_mode: "802.1X"
            user_group:
             -
                name: "default_name_18 (source user.group.name)"

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
build string | always | Build number of the fortigate image Sample: 1547
http_method string | always | Last method used to provision the content into FortiGate Sample: PUT
http_status string | always | Last result given by FortiGate on last operation applied Sample: 200
mkey string | success | Master key (id) used in the last call to FortiGate Sample: id
name string | always | Name of the table used to fulfill the request Sample: urlfilter
path string | always | Path of the table used to fulfill the request Sample: webfilter
revision string | always | Internal revision number Sample: 17.0.2.10658
serial string | always | Serial number of the unit Sample: FGVMEVYYQT3AB5352
status string | always | Indication of the operation's result Sample: success
vdom string | always | Virtual domain used Sample: root
version string | always | Version of the FortiGate Sample: v5.6.3

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Miguel Angel Munoz (@mamunozgonzalez)

- Nicolas Thomas (@thomnico)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.